import { jsx } from "react/jsx-runtime";
import { LockKeyOpen as LockKeyOpen$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LockKeyOpen = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "LockKeyOpen", ...props, children: /* @__PURE__ */ jsx(LockKeyOpen$1, { weight: variant }) });
  }
);
LockKeyOpen.displayName = "LockKeyOpen";
Object.assign(LockKeyOpen, { isGdsIcon: true });
export {
  LockKeyOpen
};
